> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kardinal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the actor's MFA config



## OpenAPI

````yaml /openapi.yaml get /auth/mfa/config
openapi: 3.0.3
info:
  title: Kardinal ARO API
  version: 2.55.0
  description: This document specifies the REST API of Kardinal ARO v2.
  contact:
    url: https://kardinal.ai/
    email: contact@kardinal.ai
servers:
  - url: /api/v2
security:
  - access_token: []
tags:
  - name: Authenticate
    description: How to authenticate, and manage the access and refresh tokens.
  - name: Plan
    description: How to create, retrieve, update and delete plans.
  - name: Resource
    description: How to create, retrieve, update and delete resources in a plan.
  - name: Order
    description: How to create, retrieve, update and delete orders in a plan.
  - name: SimplePlan
    description: How to create a plan through the use of a simple plan.
paths:
  /auth/mfa/config:
    get:
      tags:
        - Authenticate
      summary: Fetch the actor's MFA config
      operationId: getActorMFAConfig
      responses:
        '200':
          description: The actor's MFA config.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvelopedMFAConfig'
        '401':
          $ref: '#/components/responses/NotAuthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    EnvelopedMFAConfig:
      type: object
      properties:
        item:
          $ref: '#/components/schemas/MFAConfig'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    MFAConfig:
      type: object
      properties:
        updatedAt:
          description: The config's last update date.
          nullable: false
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/DateTime'
        preferredType:
          $ref: '#/components/schemas/OTPType'
        availableTypes:
          description: >-
            The list of OTP types which have been configured by the actor in his
            MFA configuration.
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/OTPType'
          example:
            - email
            - sms
            - totp
        email:
          $ref: '#/components/schemas/ObfuscatedEmail'
        phoneNumber:
          $ref: '#/components/schemas/ObfuscatedPhoneNumber'
        totpConfig:
          nullable: true
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/TOTPConfig'
        backupCodes:
          nullable: true
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/BackupCodes'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    EnvelopedErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    DateTime:
      type: string
      description: >-
        A full calendar date time, expressed in the ISO8601 **date** format:
        YYYY-MM-DDThh:mm:ssZ.
      example: '2019-11-15T12:34:56Z'
    OTPType:
      type: string
      enum:
        - none
        - email
        - sms
        - totp
      default: none
      example: sms
      description: Type of OTP (One-Time Password).
    ObfuscatedEmail:
      type: string
      description: An obfuscated representation of the email used for MFA.
      nullable: true
      example: em***********.com
    ObfuscatedPhoneNumber:
      type: string
      description: An obfuscated representation of the phone number used for MFA
      nullable: true
      example: +336*******8
    TOTPConfig:
      type: object
      nullable: true
      properties:
        secret:
          type: string
          example: J5GEMOCTHFLDER22JU3DIRKDJJMEOOJZ
          description: A 32-characters secret code.
        url:
          type: string
          example: >-
            otpauth://totp/Kardinal:foobar?algorithm=SHA1&digits=6&issuer=Kardinal&period=30&secret=J5GE...OJZ
          description: The TOTP auth protocol url.
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    BackupCodes:
      type: array
      description: A list of 10 unique 16-characters backup codes.
      maxItems: 10
      minItems: 10
      items:
        $ref: '#/components/schemas/BackupCode'
      example:
        - E0ZE97NY1Z6WAW1L
        - 064M3TCQTR5B2Q74
        - 6BMR618ZH8CJ1WM5
        - 8ERR9CPIUL6FWB95
        - I8I09DQL5KHRS06A
        - NEGSE5TJGXCV2Z2G
        - 3XHWOE9DXL1YLKW1
        - VKWE0RN8RO3WXSMR
        - VV7U19AF4X1NSE83
        - V5DT0YG81DRXISEY
    Error:
      type: object
      readOnly: true
      properties:
        code:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        message:
          type: string
          description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
        properties:
          $ref: '#/components/schemas/ErrorProperties'
      required:
        - message
        - code
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
    BackupCode:
      type: string
      description: A unique 16-characters backup code.
      maxLength: 16
      minLength: 16
      example: E0ZE97NY1Z6WAW1L
    ErrorProperties:
      type: object
      additionalProperties:
        type: string
      description: '[TO_VALIDATE] Description pending review by a Kardinal engineer.'
  responses:
    NotAuthenticated:
      description: The caller is not authenticated.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    Forbidden:
      description: The caller is not allowed to perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
    InternalServerError:
      description: An internal server error has occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EnvelopedErrors'
  securitySchemes:
    access_token:
      type: http
      scheme: bearer
      bearerFormat: JWT

````